パスワードを忘れた? アカウント作成
450443 journal

dsegの日記: PHP5.1.0b3がPostgreSQL 7.3系(以下)の環境でビルドできない?!

日記 by dseg

PHP5.1系はβテストが続いているが、言語のエンジンの改良の成果で、スクリプトの実行がかなり速くなるらしい。
適当にしか情報を見てないので詳細の確認すらしていないが、2倍弱実行が速くなったという計測結果を投稿している人がいた。
個人的にもそろそろPHP5に完全移行できるように準備をしておきたいので、
実験サーバにインストールしようと思ったら、あ、…ビルドできない?
もうβ3だしそんなことないよな、自分のサーバがマイナーディストリビューションだから環境が特殊なのかな、などと思いつつソースをみると、PostgreSQLが7.4以下だとビルドが失敗しそうだったので、
念のためバグ報告とパッチを送った。

PHP 5.1系ではPDOが標準装備となる。
資料はPHPWikiとかDo you PHP?とか。

  • PDO is not a Database Abstraction Library
  • PDO offers one single unified interface to databases
  • PDO is fast
  • PDO is to databases what SAPI is to web servers
  • PDO has been thought through

--

PHPTALを書いたmotion-twin.comのNicolas Canasse氏が「PHP4は忘れてくれ。PHP5の方が安定しているし、スマートだから」なんてそのものずばり書いていたが、そう言われると…そうだよな。
最近とにかくサボり気味だ。新機能を試しもしていない。反省。

全然関係ないけど、今日はStone Temple Pilotsのセカンド、「Purple」を思い出したように、唐突に聴いている。
重量感のあるメロディーラインに、薬物で身を滅ぼしたスコットウェイランドの味のある低音のボーカルが重なる。どことなく全体的に物悲しい。
懐かしいな。

この議論は賞味期限が切れたので、アーカイブ化されています。 新たにコメントを付けることはできません。
typodupeerror

Stay hungry, Stay foolish. -- Steven Paul Jobs

読み込み中...